Skip to main content
GET
/
custom-reference-data
/
sources
/
{sourceId}
/
files
/
{fileId}
/
download
Get a presigned download URL for a source file
curl --request GET \
  --url https://api.artu.ai/custom-reference-data/sources/{sourceId}/files/{fileId}/download \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "url": "<string>",
  "expiresAt": "<string>",
  "filename": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

sourceId
string<uuid>
required
fileId
string<uuid>
required

Response

200 - application/json

OK

url
string
required
expiresAt
string
required
filename
string
required